For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Ask AIPlaygroundLoginFree API Key
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
  • General
    • Deepgram API Overview
    • Authentication
    • Regional Endpoints
    • Custom Endpoints
    • Errors
    • API Rate Limits
  • API Reference
          • GETList Project Invites
          • POSTCreate a Project Invite
          • DELDelete a Project Invite
LogoLogo
Ask AIPlaygroundLoginFree API Key
API ReferenceManageInvites

Create a Project Invite

POST
https://api.deepgram.com/v1/projects/:project_id/invites
POST
/v1/projects/:project_id/invites
1import requests
2
3url = "https://api.deepgram.com/v1/projects/123456-7890-1234-5678-901234/invites"
4
5payload = {
6 "email": "jane.doe@example.com",
7 "scope": "read:transcripts write:projects"
8}
9headers = {
10 "Authorization": "Token <apiKey>",
11 "Content-Type": "application/json"
12}
13
14response = requests.post(url, json=payload, headers=headers)
15
16print(response.json())
Try it
1{
2 "message": "Invite successfully generated and sent to jane.doe@example.com"
3}
Generates an invite for a specific project
Was this page helpful?
Previous

Delete a Project Invite

Next
Built with

Authentication

AuthorizationToken

Use Authorization: Token <API_KEY> Example: Authorization: Token 12345abcdef

Path parameters

project_idstringRequired
The unique identifier of the project

Request

email to invite to the project
emailstringRequired
The email address of the invitee
scopestringRequired
The scope of the invitee

Response

The invite was successfully generated
messagestring
confirmation message

Errors

400
Bad Request Error